This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 964093 - No value set for OPENSHIFT_JBOSSAS_VERSION after migration
No value set for OPENSHIFT_JBOSSAS_VERSION after migration
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Dan Mace
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-17 04:37 EDT by Jianwei Hou
Modified: 2015-05-14 19:18 EDT (History)
0 users

See Also:
Fixed In Version: devenv_3242+
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 00:05:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jianwei Hou 2013-05-17 04:37:58 EDT
Description of problem:
After migrating a jbossas application, the OPENSHIFT_JBOSSAS_VERSION env var has a null value.

Version-Release number of selected component (if applicable):
Upgraded from devenv-stage_353 to devenv_3235

How reproducible:
Always

Steps to Reproduce:
1. Launch devenv-stage_353
2. Prepare test data
3. Add V1 marker to node
#touch /var/lib/openshift/.settings/v1_cartridge_format
4. scp -r ~/devenv-local and /etc/yum.repos.d/* from devenv_3235 instance to same location on devenv-stage_353 instance
5. yum update -y --enablerepo devenv-local
6. Run oo-admin-clear-pending-ops
7. Remove the v1 marker from the node
#rm -f /var/lib/openshift/.settings/v1_cartridge_format
8. Clear the broker cache
#rake tmp:clear
9. Restart the rhc-broker and mcollective
10. Run migrate-mongo-2.0.28 
11. Run rhc-admin-migrate --version 2.0.28
12. ssh into gear of a jbossas app, env|grep JBOSS
  
Actual results:
After step 12:
The OPENSHIFT_JBOSSAS_VERSION env var has no value.
OPENSHIFT_JBOSSAS_VERSION=

[as1-jhou.dev.rhcloud.com env]\> pwd
/var/lib/openshift/5195c17e196c200884000010/jbossas/env
[as1-jhou.dev.rhcloud.com env]\> cat OPENSHIFT_JBOSSAS_VERSION 
[as1-jhou.dev.rhcloud.com env]\> 



Expected results:
The value should be set for OPENSHIFT_JBOSSAS_VERSION

Additional info:
Comment 1 Dan Mace 2013-05-17 15:55:25 EDT
Resolved by https://github.com/openshift/li/pull/1414
Comment 2 openshift-github-bot 2013-05-17 18:01:21 EDT
Commit pushed to master at https://github.com/openshift/li

https://github.com/openshift/li/commit/1a955ff583db615d06f1fd5250532d0082e06750
Bug 964093: Generate OPENSHIFT_*_VERSION vars during migration
Comment 3 openshift-github-bot 2013-05-17 18:04:54 EDT
Commits pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/81603dfb6c5605158dce61b68334f9f4eefac939
Bug 964093: Generate OPENSHIFT_JBOSSEWS_VERSION during jbossews install

https://github.com/openshift/origin-server/commit/e5b2fc829f0d59e67a444cf47dc629fff8331ab7
Merge pull request #2536 from ironcladlou/bz/964093

Bug 964093: Generate OPENSHIFT_JBOSSEWS_VERSION during jbossews install
Comment 4 Jianwei Hou 2013-05-20 04:25:20 EDT
This is verified after upgraded to devenv_3247 and migrate.


[as1-jhou.dev.rhcloud.com 258982399491053069533184]\> env|grep JBOSS|sort
OPENSHIFT_JBOSSAS_CLUSTER=127.1.5.129[7600]
OPENSHIFT_JBOSSAS_CLUSTER_PORT=7600
OPENSHIFT_JBOSSAS_CLUSTER_PROXY_PORT=7600
OPENSHIFT_JBOSSAS_CLUSTER_REMOTING=127.1.5.129:4447
OPENSHIFT_JBOSSAS_DIR=/var/lib/openshift/258982399491053069533184/jbossas/
OPENSHIFT_JBOSSAS_HTTP_IP=127.1.5.129
OPENSHIFT_JBOSSAS_HTTP_PORT=8080
OPENSHIFT_JBOSSAS_IDENT=redhat:jbossas:7:0.0.1
OPENSHIFT_JBOSSAS_IP=127.1.5.129
OPENSHIFT_JBOSSAS_JDK6=/etc/alternatives/java_sdk_1.6.0
OPENSHIFT_JBOSSAS_JDK7=/etc/alternatives/java_sdk_1.7.0
OPENSHIFT_JBOSSAS_LOG_DIR=/var/lib/openshift/258982399491053069533184/jbossas//logs/
OPENSHIFT_JBOSSAS_MESSAGING_PORT=5445
OPENSHIFT_JBOSSAS_MESSAGING_THROUGHPUT_PORT=5455
OPENSHIFT_JBOSSAS_PATH_ELEMENT=/etc/alternatives/java_sdk_1.7.0/bin:/etc/alternatives/maven-3.0/bin
OPENSHIFT_JBOSSAS_PORT=8080
OPENSHIFT_JBOSSAS_REMOTING_PORT=4447
OPENSHIFT_JBOSSAS_VERSION=7

Note You need to log in before you can comment on or make changes to this bug.